package ru.yandex.webmaster3.storage.postpone;

import ru.yandex.webmaster3.core.util.enums.IntEnum;
import ru.yandex.webmaster3.core.util.enums.IntEnumResolver;

/**
 * ishalaru
 * 03.12.2019
 **/
public enum PostponeOperationType implements IntEnum {
    POST_WELCOME_EMAIL(0),
    VERIFY_HOST(1),
    USER_TAKEOUT_GET(2),
    USER_TAKEOUT_DELETE(3)
    ;

    private final int value;

    PostponeOperationType(int value) {
        this.value = value;
    }

    @Override
    public int value() {
        return value;
    }

    public static final IntEnumResolver<PostponeOperationType> R = IntEnumResolver.r(PostponeOperationType.class);
}
